petsc-3.7.1 2016-05-15
Report Typos and Errors

# DMDAGlobalToNaturalBegin

Maps values from the global vector to a global vector in the "natural" grid ordering. Must be followed by DMDAGlobalToNaturalEnd() to complete the exchange.

### Synopsis

    #include "petscdmda.h"
    PetscErrorCode  DMDAGlobalToNaturalBegin(DM da,Vec g,InsertMode mode,Vec l)

Neighbor-wise Collective on DMDA Many br

### Input Parameters

| da | - the distributed array context Many br
| g | - the global vector Many br
| mode | - one of INSERT_VALUES or ADD_VALUES Many br

### Output Parameter

l -the natural ordering values Many br

Many br

### Notes

The global and natrual vectors used here need not be the same as those Many brobtained from DMCreateGlobalVector() and DMDACreateNaturalVector(), BUT they Many brmust have the same parallel data layout; they could, for example, be Many brobtained with VecDuplicate() from the DMDA originating vectors. Many br

You must call DMDACreateNaturalVector() before using this routine Many br

### Keywords

distributed array, global to local, begin

### See Also

DMDAGlobalToNaturalEnd(), DMLocalToGlobalBegin(), DMDACreate2d(),
DMGlobalToLocalBegin(), DMGlobalToLocalEnd(), DMDACreateNaturalVector() Many br

Level:advanced
Location:src/dm/impls/da/dagtol.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages